package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.cooperate.tw.TwCooperateListEntity;
import com.crm.rely.backend.core.pojo.table.TwCooperateDailyTable;
import com.crm.rely.backend.core.pojo.view.TwCooperateDailyView;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface TwCooperateDailyMapper {

    @Select("select * from tw_cooperate_daily where id=#{id}")
    TwCooperateDailyTable getOne(Long id);

    @Select("select daily.* from tw_cooperate_daily daily where daily.id=#{id}")
    TwCooperateDailyView getViewById(Long id);

    void updateById(TwCooperateDailyTable twCooperateDailyTable);

    List<TwCooperateDailyView> listSearch(TwCooperateListEntity entity);

    Integer countSearch(TwCooperateListEntity entity);

    TwCooperateDailyView sumSearch(TwCooperateListEntity entity);



}
